Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Timeout Voids


When you do not receive a response message after requesting a capture, sale, refund, or credit, this feature enables you to void the transaction that you requested.

For guidance on timeout scenarios, see Transaction Timeout Guidance.

Include the clientReferenceInformation.transactionId field in the original request for a capture, sale, refund, or credit. The value of the merchant transaction ID must be unique for 180 days.

When the original transaction fails, the response message for the reversal request includes these fields:

  • voidAmountDetails.originalTransactionAmount
  • processorInformation.responseCode

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Fiserv RapidConnect

Endpoints

POST /pts/v2/voids/

POST /pts/v2/voids/

POST /pts/v2/voids/

Example

Standard Example

{  "clientReferenceInformation": {    "transactionId": "987654321"  },  "reversalInformation": {    "amountDetails": {      "totalAmount": "100.00"    },    "reason": "testing"  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/6541933390746728203005"    }  },  "clientReferenceInformation": {    "code": "1654193339056"  },  "id": "6541933390746728203005",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "status": "VOIDED",  "submitTimeUtc": "2026-06-02T18:08:59Z",  "voidAmountDetails": {    "currency": "usd",    "voidAmount": "100.00"  }}

Example

{  "clientReferenceInformation": {    "transactionId": "987654321"  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/6541933390746728203005"    }  },  "clientReferenceInformation": {    "code": "1654193339056"  },  "id": "6541933390746728203005",  "orderInformation": {    "amountDetails": {      "currency": "USD"    }  },  "status": "VOIDED",  "submitTimeUtc": "2026-06-02T18:08:59Z",  "voidAmountDetails": {    "currency": "usd",    "voidAmount": "100.00"  }}

Fiserv RapidConnect Example

{  "clientReferenceInformation": {    "code": "123456789012",    "reconciliationId": "000000050000772",    "transactionId": "987654321"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100",      "currency": "USD"    }  }}
{  "submitTimeUtc": "2026-03-11T16:57:19Z",  "processorInformation": {    "approvalCode": "OK1272",    "responseCode": "000"  },  "consumerAuthenticationResponse": {    "systemTraceAuditNumber": "500039"  },  "orderInformation": {    "amountDetails": {      "authorizedAmount": "110.00"    }  },  "message": "Successful transaction.",  "clientReferenceInformation": {    "code": "123456789012"  },  "reconciliationId": "000000050000772",  "id": "7417122396283232235535",  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/7417122396283232235535"    }  },  "status": "VOIDED"}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

Default Required Fields

FieldDescription
clientReferenceInformation.transactionId—

Processor-Specific Fields

FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.